Subject: Re: [bitcoin-dev] Blockchain Voluntary Fork (Split) Proposal (Chaofan Li)

From: ZmnSCPxj <[email-masked]>
Date: Tue, 30 Jan 2018 00:32:58 -0500

Good Morning Chaofan Li,

> The human perception of difference will be eliminated.
> Will your bank tell you whether your balance means coins or paper money?
> If wallets and exchanges only show the total amount of btc rather than btc.0 and btc.1, there is no human perception difference.

This returns my initial question.

What ensures that a paper money with "10 Dollar" on it, is same as 10 coins each with "1 Dollar" on it?

This is the principle of fungibility, and means I can exchange a paper with "10 Dollar" on it for 10 coins with "1 Dollar" on it, because by government fiat, such an exchange is valid for all cases.

What ensures that btc.0 and btc.1 are indistinguishable from a human perception?

> Also note that one valid address is automatically valid on the other chain, which means you can send money through any one chain. As long as one has the private key, he/she can get the money anyway. So there is no difference between number of merchants. The merchant ‘s address is valid on both chains.
>
> The exchange cost would be trivial. People don’t need to exchange two same thing.

You are talking about sidechains.  In every sidechain proposal, there is always some mechanism (SPV proof-of-work, drivechain proof-of-voting, proof-of-mainstake...) that ensures that a sidechain coin is exchangeable for a mainchain coin, and from there, that every sidechain coin is exchangeable for every other sidechain coin.  I.e. that a smart contract with "1 BTC" on it is exchangeable for a mainchain UTXO of value "1 BTC".

A mere split is not enough.  As I brought up, what makes your proposal different from 2X, BCash, etc.?

Regards,
ZmnSCPxj